IP: Skybounds.com / Savage.Games Minecraft Versions: 1.8 - 1.9; although some features may not be openly available, we do support 1.12 compatibility.

IP: Play.Kingdoms.Games Minecraft Versions: 1.12+

VISIT US ON TWITTER: https://twitter.com/savagegames

VISIT OUR WEBPAGE: https://savage.games